## missinglib 0.4.1

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-28/libsrc/Makefile ===
# Copyright (C) 2004 John Goerzen
# arch-tag: top-level library project Makefile
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SOURCES = strutil/strutil.mli strutil/strutil.ml \
	  hashtblutil/hashtblutil.mli hashtblutil/hashtblutil.ml \
	listutil/listutil.mli listutil/listutil.ml \
	  lexingutil/lexingutil.mli lexingutil/lexingutil.ml \
	  hashtblutil/hashtbloper.mli hashtblutil/hashtbloper.ml \
	  slice/slice.mli slice/slice.ml \
	  slice/sliceoper.mli slice/sliceoper.ml \
	  indexed/indexed.ml \
	  streamutil/streamutil.mli streamutil/streamutil.ml \
	  fileutil/fileutil.mli fileutil/fileutil.ml \
	  configParser/configParser_types.ml \
	  configParser/configParser_parser.mly \
	  configParser/configParser_lexer.mll  \
	  configParser/configParser_runparser.ml \
	  configParser/configParser_interp_lexer.mll \
	  configParser/configParser_interp.ml \
	  configParser/configParser.mli \
	  configParser/configParser.ml
OCAMLDOC = ocamldoc -stars -sort -I strutil -I hashtblutil -I listutil -I lexingutil -I slice \
	    -I configParser
#LIBS = str
RESULT = missinglib
OCAMLYACC := ocamlyacc -v
DOC_FILES := strutil/strutil.mli strutil/strutil.ml \
	hashtblutil/hashtblutil.mli hashtblutil/hashtblutil.ml \
	hashtblutil/hashtbloper.mli hashtblutil/hashtbloper.ml \
	listutil/listutil.mli listutil/listutil.ml \
	lexingutil/lexingutil.mli lexingutil/lexingutil.ml \
	streamutil/streamutil.mli streamutil/streamutil.ml \
	fileutil/fileutil.mli fileutil/fileutil.ml \
	slice/slice.mli slice/slice.ml \
	slice/sliceoper.mli slice/sliceoper.ml \
	configParser/configParser.mli

MLIFILES := $(filter %.mli,$(SOURCES))
LIBINSTALL_FILES := META $(MLIFILES) $(patsubst %.mli,%.cmi,$(MLIFILES)) $(RESULT).cma $(RESULT).a
PATHTOTOP := ..

-include ../Makefile.setup
ifeq ($(HAS_NATIVE),YES)
  LIBINSTALL_FILES := $(LIBINSTALL_FILES) $(RESULT).cmxa
endif

all: bcl $(NATIVE_LIB_TARGET)

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-28/test/Makefile ===
# Copyright (C) 2004 John Goerzen
# arch-tag: testing for library Makefile
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SOURCES = testutil.ml teststrutil.ml testlistutil.ml testhashtblutil.ml \
	  testconfigparser.ml runtests.ml
INCDIRS = ../libsrc $(shell find ../libsrc -type d -maxdepth 1 )
LIBDIRS = ../libsrc
LIBS = str missinglib oUnit
PACKS = oUnit
RESULT = runtests
NCSUFFIX = .opt

PATHTOTOP := ..
-include ../Makefile.setup

all: dc $(NATIVE_CODE_TARGET)
test: all
	./runtests
ifeq ($(HAS_NATIVE),YES)
	./runtests.opt
endif

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-31/libsrc/Makefile ===
# Copyright (C) 2004 John Goerzen
# arch-tag: top-level library project Makefile
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SOURCES = compose/compose.mli compose/compose.ml \
	  compose/composeoper.mli compose/composeoper.ml \
	  strutil/strutil.mli strutil/strutil.ml \
	  hashtblutil/hashtblutil.mli hashtblutil/hashtblutil.ml \
	listutil/listutil.mli listutil/listutil.ml \
	  lexingutil/lexingutil.mli lexingutil/lexingutil.ml \
	  hashtblutil/hashtbloper.mli hashtblutil/hashtbloper.ml \
	  slice/slice.mli slice/slice.ml \
	  slice/sliceoper.mli slice/sliceoper.ml \
	  indexed/indexed.ml \
	  streamutil/streamutil.mli streamutil/streamutil.ml \
	  fileutil/fileutil.mli fileutil/fileutil.ml \
	  configParser/configParser_types.ml \
	  configParser/configParser_parser.mly \
	  configParser/configParser_lexer.mll  \
	  configParser/configParser_runparser.ml \
	  configParser/configParser_interp_lexer.mll \
	  configParser/configParser_interp.ml \
	  configParser/configParser.mli \
	  configParser/configParser.ml
OCAMLDOC = ocamldoc -stars -sort -I strutil -I compose -I hashtblutil -I listutil -I lexingutil -I slice \
	    -I configParser
#LIBS = str
RESULT = missinglib
OCAMLYACC := ocamlyacc -v
DOC_FILES := compose/compose.mli compose/compose.ml \
	compose/composeoper.mli compose/composeoper.ml \
	strutil/strutil.mli strutil/strutil.ml \
	hashtblutil/hashtblutil.mli hashtblutil/hashtblutil.ml \
	hashtblutil/hashtbloper.mli hashtblutil/hashtbloper.ml \
	listutil/listutil.mli listutil/listutil.ml \
	lexingutil/lexingutil.mli lexingutil/lexingutil.ml \
	streamutil/streamutil.mli streamutil/streamutil.ml \
	fileutil/fileutil.mli fileutil/fileutil.ml \
	slice/slice.mli slice/slice.ml \
	slice/sliceoper.mli slice/sliceoper.ml \
	configParser/configParser.mli

MLIFILES := $(filter %.mli,$(SOURCES))
LIBINSTALL_FILES := META $(MLIFILES) $(patsubst %.mli,%.cmi,$(MLIFILES)) $(RESULT).cma $(RESULT).a
PATHTOTOP := ..

-include ../Makefile.setup
ifeq ($(HAS_NATIVE),YES)
  LIBINSTALL_FILES := $(LIBINSTALL_FILES) $(RESULT).cmxa
endif

all: bcl $(NATIVE_LIB_TARGET)

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-28/debian/changelog ===
missinglib (0.4.0) unstable; urgency=low

  * New class: configParser, supporting interpolation.
	
  * Fixed description formatting.  Closes: #247266.

  * New module: fileutil.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Jun 2004 12:06:16 -0500

missinglib (0.0.1-2) unstable; urgency=low

  * Added build-dep on libounit-ocaml-dev.  Closes: #248223.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 25 May 2004 10:39:32 -0500

missinglib (0.0.1-1) unstable; urgency=low

  * Initial Release.  Closes: #245510.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 23 Apr 2004 11:01:24 -0500

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-28/debian/control ===
Source: missinglib
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ocaml-3.07, ocaml-base, ocaml-tools (>= 2004.04.10-1), ocaml-findlib, ocaml, libounit-ocaml-dev
Standards-Version: 3.6.0

Package: libmissinglib-ocaml-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ocaml-3.07, ocaml-findlib
Description: Library of utility functions for OCaml
 The following modules are are provided:
 .
  ConfigParser            System for parsing configuration files
  Hashtbloper             Hash table convenience operators
  Hashtblutil             Hash table utilities
  Lexingutil              Lexing-related utilities
  Listutil                List-manipulation utilities
  Slice                   Underlying API for Slice operators
  Sliceoper               Flexible subparts of arrays, lists, and strings
  Streamutil              Stream parser utilities
  Strutil                 String-related utilities
 .
 The entire library has no prerequisites save the OCaml standard library and
 findlib and is designed to install without complexity on a variety of
 systems.  It could also easily be embedded within your own source trees
 so that users need not have it installed beforehand.

## missinglib 0.4.10

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-39/Makefile ===
# arch-tag: Top-level recursive Makefile
#
SUBDIRS := libsrc test

defaulttgt:
	$(MAKE) all

printenv:
	@$(MAKE) -f Makefile.setup printenv PATHTOTOP=.

install:
	$(MAKE) -C libsrc libinstall

test: defaulttgt
	$(MAKE) -C test test

distclean: clean
	-rm `find . -name "*~"`
	-rm -r libsrc/doc libsrc/ocamldoc.* libsrc/configParser/*.output
%:
	for DIR in $(SUBDIRS); do make -C $$DIR $@ || exit 1; done

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-62/Makefile ===
# arch-tag: Top-level recursive Makefile
#
SUBDIRS := libsrc test

defaulttgt:
	$(MAKE) all

interact: defaulttgt
	cd libsrc && $(MAKE) interact

printenv:
	@$(MAKE) -f Makefile.setup printenv PATHTOTOP=.

install:
	$(MAKE) -C libsrc libinstall

test: defaulttgt
	$(MAKE) -C test test

distclean: clean
	-rm `find . -name "*~"`
	-rm -r libsrc/doc libsrc/ocamldoc.* libsrc/configParser/*.output
%:
	for DIR in $(SUBDIRS); do make -C $$DIR $@ || exit 1; done

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-39/libsrc/Makefile ===
# Copyright (C) 2004 John Goerzen
# arch-tag: top-level library project Makefile
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SOURCES = compose/compose.mli compose/compose.ml \
	  compose/composeoper.mli compose/composeoper.ml \
	  strutil/strutil.mli strutil/strutil.ml \
	  hashtblutil/hashtblutil.mli hashtblutil/hashtblutil.ml \
	listutil/listutil.mli listutil/listutil.ml \
	  lexingutil/lexingutil.mli lexingutil/lexingutil.ml \
	  hashtblutil/hashtbloper.mli hashtblutil/hashtbloper.ml \
	  slice/slice.mli slice/slice.ml \
	  slice/sliceoper.mli slice/sliceoper.ml \
	  indexed/indexed.ml \
	  streamutil/streamutil.mli streamutil/streamutil.ml \
	  fileutil/fileutil.mli fileutil/fileutil.ml \
	  unixutil/unixutil.mli unixutil/unixutil.ml \
	  configParser/configParser_types.ml \
	  configParser/configParser_parser.mly \
	  configParser/configParser_lexer.mll  \
	  configParser/configParser_runparser.ml \
	  configParser/configParser_interp_lexer.mll \
	  configParser/configParser_interp.ml \
	  configParser/configParser.mli \
	  configParser/configParser.ml
OCAMLDOC = ocamldoc -pp camlp4o -stars -sort -I strutil -I compose -I hashtblutil -I listutil -I lexingutil -I slice \
	    -I configParser -I fileutil -I unixutil -I streamutil
#LIBS = str
RESULT = missinglib
OCAMLYACC := ocamlyacc -v
DOC_FILES := compose/compose.mli compose/compose.ml \
	compose/composeoper.mli compose/composeoper.ml \
	strutil/strutil.mli strutil/strutil.ml \
	hashtblutil/hashtblutil.mli hashtblutil/hashtblutil.ml \
	hashtblutil/hashtbloper.mli hashtblutil/hashtbloper.ml \
	listutil/listutil.mli listutil/listutil.ml \
	lexingutil/lexingutil.mli lexingutil/lexingutil.ml \
	streamutil/streamutil.mli streamutil/streamutil.ml \
	fileutil/fileutil.mli fileutil/fileutil.ml \
	unixutil/unixutil.mli unixutil/unixutil.ml \
	slice/slice.mli slice/slice.ml \
	slice/sliceoper.mli slice/sliceoper.ml \
	configParser/configParser.mli

MLIFILES := $(filter %.mli,$(SOURCES))
LIBINSTALL_FILES := META $(MLIFILES) $(patsubst %.mli,%.cmi,$(MLIFILES)) $(RESULT).cma $(RESULT).a
PATHTOTOP := ..

-include ../Makefile.setup
ifeq ($(HAS_NATIVE),YES)
  LIBINSTALL_FILES := $(LIBINSTALL_FILES) $(RESULT).cmxa
endif

all: bcl $(NATIVE_LIB_TARGET)

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-62/libsrc/Makefile ===
# Copyright (C) 2004 John Goerzen
# arch-tag: top-level library project Makefile
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SOURCES = compose/compose.mli compose/compose.ml \
	  compose/composeoper.mli compose/composeoper.ml \
	  strutil/strutil.mli strutil/strutil.ml \
	  streamutil/streamutil.mli streamutil/streamutil.ml \
	  hashtblutil/hashtblutil.mli hashtblutil/hashtblutil.ml \
	listutil/listutil.mli listutil/listutil.ml \
	  lexingutil/lexingutil.mli lexingutil/lexingutil.ml \
	  hashtblutil/hashtbloper.mli hashtblutil/hashtbloper.ml \
	  slice/slice.mli slice/slice.ml \
	  slice/sliceoper.mli slice/sliceoper.ml \
	  indexed/indexed.ml \
	  fileutil/fileutil.mli fileutil/fileutil.ml \
	  unixutil/unixutil.mli unixutil/unixutil.ml \
	  configParser/configParser_types.ml \
	  configParser/configParser_parser.mly \
	  configParser/configParser_lexer.mll  \
	  configParser/configParser_runparser.ml \
	  configParser/configParser_interp_lexer.mll \
	  configParser/configParser_interp.ml \
	  configParser/configParser.mli \
	  configParser/configParser.ml \
	  anyDBM/anyDBM.mli \
	  anyDBM/anyDBM.ml \
	  anyDBM/anyDBM_String.mli \
	  anyDBM/anyDBM_String.ml


INCLDIRS = -I strutil -I compose -I hashtblutil -I listutil -I lexingutil -I slice \
	   -I anyDBM \
	    -I configParser -I fileutil -I unixutil -I streamutil
	    
OCAMLDOC = ocamldoc -pp camlp4o -stars -sort $(INCLDIRS)
#LIBS = str
RESULT = missinglib
OCAMLYACC := ocamlyacc -v
DOC_FILES := compose/compose.mli compose/compose.ml \
	compose/composeoper.mli compose/composeoper.ml \
	strutil/strutil.mli strutil/strutil.ml \
	streamutil/streamutil.mli streamutil/streamutil.ml \
	hashtblutil/hashtblutil.mli hashtblutil/hashtblutil.ml \
	hashtblutil/hashtbloper.mli hashtblutil/hashtbloper.ml \
	listutil/listutil.mli listutil/listutil.ml \
	lexingutil/lexingutil.mli lexingutil/lexingutil.ml \
	fileutil/fileutil.mli fileutil/fileutil.ml \
	unixutil/unixutil.mli unixutil/unixutil.ml \
	slice/slice.mli slice/slice.ml \
	slice/sliceoper.mli slice/sliceoper.ml \
	configParser/configParser.mli \
	anyDBM/anyDBM.mli \
	anyDBM/anyDBM.ml \
	anyDBM/anyDBM_String.mli \
	anyDBM/anyDBM_String.ml

MLIFILES := $(filter %.mli,$(SOURCES))
LIBINSTALL_FILES := META $(MLIFILES) $(patsubst %.mli,%.cmi,$(MLIFILES)) $(RESULT).cma $(RESULT).a
PATHTOTOP := ..

-include ../Makefile.setup
ifeq ($(HAS_NATIVE),YES)
  LIBINSTALL_FILES := $(LIBINSTALL_FILES) $(RESULT).cmxa
endif

interact: all
	ocaml $(INCLDIRS) unix.cma str.cma missinglib.cma

all: bcl $(NATIVE_LIB_TARGET)

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-70/libsrc/Makefile ===
# Copyright (C) 2004 John Goerzen
# arch-tag: top-level library project Makefile
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

CAMLP4SOURCES := camlp4/pa_bparser.ml
CAMLP4CMO := $(patsubst %.ml,%.cmo,$(CAMLP4SOURCES))
SOURCES = compose/compose.mli compose/compose.ml \
	  compose/composeoper.mli compose/composeoper.ml \
	  strutil/strutil.mli strutil/strutil.ml \
	  streamutil/streamutil.mli streamutil/streamutil.ml \
	  bnf/bNFsupport.ml bnf/bNFsupport.mli \
	  hashtblutil/hashtblutil.mli hashtblutil/hashtblutil.ml \
	listutil/listutil.mli listutil/listutil.ml \
	  lexingutil/lexingutil.mli lexingutil/lexingutil.ml \
	  hashtblutil/hashtbloper.mli hashtblutil/hashtbloper.ml \
	  slice/slice.mli slice/slice.ml \
	  slice/sliceoper.mli slice/sliceoper.ml \
	  indexed/indexed.ml \
	  fileutil/fileutil.mli fileutil/fileutil.ml \
	  unixutil/unixutil.mli unixutil/unixutil.ml \
	  configParser/configParser_types.ml \
	  configParser/configParser_parser.mly \
	  configParser/configParser_lexer.mll  \
	  configParser/configParser_runparser.ml \
	  configParser/configParser_interp_lexer.mll \
	  configParser/configParser_interp.ml \
	  configParser/configParser.mli \
	  configParser/configParser.ml \
	  anyDBM/anyDBM.mli \
	  anyDBM/anyDBM.ml \
	  anyDBM/anyDBM_String.mli \
	  anyDBM/anyDBM_String.ml \
	  bnf/bNFparseutil.mli \
	  bnf/bNFparseutil.mli


INCLDIRS = -I strutil -I compose -I hashtblutil -I listutil -I lexingutil -I slice \
	   -I anyDBM \
	    -I configParser -I fileutil -I unixutil -I streamutil -I bnf
	    
OCAMLDOC = ocamldoc -pp camlp4o -stars -sort $(INCLDIRS)
#LIBS = str
RESULT = missinglib
OCAMLYACC := ocamlyacc -v
DOC_FILES := compose/compose.mli compose/compose.ml \
	compose/composeoper.mli compose/composeoper.ml \
	strutil/strutil.mli strutil/strutil.ml \
	streamutil/streamutil.mli streamutil/streamutil.ml \
	bnf/bNFsupport.mli bnf/bNFsupport.ml \
	hashtblutil/hashtblutil.mli hashtblutil/hashtblutil.ml \
	hashtblutil/hashtbloper.mli hashtblutil/hashtbloper.ml \
	listutil/listutil.mli listutil/listutil.ml \
	lexingutil/lexingutil.mli lexingutil/lexingutil.ml \
	fileutil/fileutil.mli fileutil/fileutil.ml \
	unixutil/unixutil.mli unixutil/unixutil.ml \
	slice/slice.mli slice/slice.ml \
	slice/sliceoper.mli slice/sliceoper.ml \
	configParser/configParser.mli \
	anyDBM/anyDBM.mli \
	anyDBM/anyDBM.ml \
	anyDBM/anyDBM_String.mli \
	anyDBM/anyDBM_String.ml \
	bnf/bNFparseutil.mli \
	bnf/bNFparseutil.ml \
	camlp4doc/pa_bparser.mli 

MLIFILES := $(filter %.mli,$(SOURCES))
LIBINSTALL_FILES := META $(MLIFILES) $(patsubst %.mli,%.cmi,$(MLIFILES)) $(RESULT).cma $(RESULT).a $(CAMLP4CMO)
PATHTOTOP := ..

-include ../Makefile.setup
ifeq ($(HAS_NATIVE),YES)
  LIBINSTALL_FILES := $(LIBINSTALL_FILES) $(RESULT).cmxa
endif

camlp4/%.cmo: camlp4/%.ml 
	ocamlc -pp "camlp4r pa_extend.cmo q_MLast.cmo" -c -o $@ -I +camlp4 $<

interact: all
	ocaml $(INCLDIRS) unix.cma str.cma missinglib.cma

all: bcl $(NATIVE_LIB_TARGET) $(CAMLP4CMO)

=== debian/changelog ===
missinglib (0.4.10) unstable; urgency=medium

  * New upload for new OCaml.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 13 Dec 2004 08:19:53 -0600

missinglib (0.4.9) unstable; urgency=low

  * Added new Strutil.trunc function.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 20 Aug 2004 09:36:38 -0500

missinglib (0.4.8) unstable; urgency=medium

  * New upload for testing.  Sigh.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  9 Aug 2004 08:44:18 -0500

missinglib (0.4.7) unstable; urgency=low

  * Added new abspath and isdir functions to Unixutil.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  6 Aug 2004 16:50:09 -0500

missinglib (0.4.6) unstable; urgency=low

  * Added AnyDBM and AnyDBM_String to support persistent storage.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  4 Aug 2004 14:52:19 -0500

missinglib (0.4.5) unstable; urgency=low

  * Added ability to read/write (string,string) hashtables.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 29 Jul 2004 13:09:04 -0500

missinglib (0.4.4) unstable; urgency=low

  * [Debian] change dep to ocaml-nox

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Jul 2004 09:37:41 -0500

missinglib (0.4.3) unstable; urgency=low

  * [Debian] Rebuilt for OCaml 3.08

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Jul 2004 08:49:30 -0500

missinglib (0.4.2) unstable; urgency=low

  * New feature in Streamutil: fold_left

 -- John Goerzen <jgoerzen@complete.org>  Wed, 21 Jul 2004 16:20:30 -0500

missinglib (0.4.1) unstable; urgency=low

  * New features for Streamutil: building streams of lines in an input
    file, filtering and mapping streams, converting streams to lists,
    building streams of blocks from an input file.

  * New feature for Listutil: take/drop functions like Haskell.

  * New features for Unixutil: recursive directory scanning, rm.

  * Updated README.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 17 Jun 2004 18:30:31 -0500

=== debian/control ===
Source: missinglib
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ocaml-nox (>= 3.08.2), ocaml-tools (>= 2004.07.26-1), ocaml-findlib (>= 1.0.4-1), libounit-ocaml-dev (>= 1.0.1-2)
Standards-Version: 3.6.0

Package: libmissinglib-ocaml-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ocaml-nox (>= 3.08.2), ocaml-findlib (>= 1.0.4-1)
Description: Library of utility functions for OCaml
 The following modules are are provided:
 .
  AnyDBM                  Generic system for key/value persistent storage
  AnyDBM_String           CSV-like pure OCaml storage module for AnyDBM
  Compose                 Utilies for combining functions
  Composeoper             Operators for combining functions
  ConfigParser            System for parsing configuration files
  Fileutil                Utilities for working with files/names
  Hashtbloper             Hash table convenience operators
  Hashtblutil             Hash table utilities
  Lexingutil              Lexing-related utilities
  Listutil                List-manipulation utilities
  Slice                   Underlying API for Slice operators
  Sliceoper               Flexible subparts of arrays, lists, and strings
  Streamutil              Stream parser utilities
  Strutil                 String-related utilities
  Unixutil                Unix filesystem utilities
 .
 The entire library has no prerequisites save the OCaml standard library and
 findlib and is designed to install without complexity on a variety of
 systems.  It could also easily be embedded within your own source trees
 so that users need not have it installed beforehand.

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-39/debian/control ===
Source: missinglib
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ocaml-3.07, ocaml-base, ocaml-tools (>= 2004.04.10-1), ocaml-findlib, ocaml, libounit-ocaml-dev
Standards-Version: 3.6.0

Package: libmissinglib-ocaml-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ocaml-3.07, ocaml-findlib
Description: Library of utility functions for OCaml
 The following modules are are provided:
 .
  Compose                 Utilies for combining functions
  Composeoper             Operators for combining functions
  ConfigParser            System for parsing configuration files
  Fileutil                Utilities for working with files/names
  Hashtbloper             Hash table convenience operators
  Hashtblutil             Hash table utilities
  Lexingutil              Lexing-related utilities
  Listutil                List-manipulation utilities
  Slice                   Underlying API for Slice operators
  Sliceoper               Flexible subparts of arrays, lists, and strings
  Streamutil              Stream parser utilities
  Strutil                 String-related utilities
  Unixutil                Unix filesystem utilities
 .
 The entire library has no prerequisites save the OCaml standard library and
 findlib and is designed to install without complexity on a variety of
 systems.  It could also easily be embedded within your own source trees
 so that users need not have it installed beforehand.

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-42/debian/control ===
Source: missinglib
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ocaml-nox (>= 3.08), ocaml-tools (>= 2004.07.26-1), ocaml-findlib (>= 1.0.4-1), libounit-ocaml-dev (>= 1.0.0-3)
Standards-Version: 3.6.0

Package: libmissinglib-ocaml-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ocaml-nox (>= 3.08), ocaml-findlib (>= 1.0.4-1)
Description: Library of utility functions for OCaml
 The following modules are are provided:
 .
  Compose                 Utilies for combining functions
  Composeoper             Operators for combining functions
  ConfigParser            System for parsing configuration files
  Fileutil                Utilities for working with files/names
  Hashtbloper             Hash table convenience operators
  Hashtblutil             Hash table utilities
  Lexingutil              Lexing-related utilities
  Listutil                List-manipulation utilities
  Slice                   Underlying API for Slice operators
  Sliceoper               Flexible subparts of arrays, lists, and strings
  Streamutil              Stream parser utilities
  Strutil                 String-related utilities
  Unixutil                Unix filesystem utilities
 .
 The entire library has no prerequisites save the OCaml standard library and
 findlib and is designed to install without complexity on a variety of
 systems.  It could also easily be embedded within your own source trees
 so that users need not have it installed beforehand.

=== {arch}/++pristine-trees/unlocked/missinglib/missinglib--head/missinglib--head--0.0/jgoerzen@complete.org--projects/missinglib--head--0.0--patch-62/debian/control ===
Source: missinglib
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ocaml-nox (>= 3.08), ocaml-tools (>= 2004.07.26-1), ocaml-findlib (>= 1.0.4-1), libounit-ocaml-dev (>= 1.0.0-3)
Standards-Version: 3.6.0

Package: libmissinglib-ocaml-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ocaml-nox (>= 3.08), ocaml-findlib (>= 1.0.4-1)
Description: Library of utility functions for OCaml
 The following modules are are provided:
 .
  AnyDBM                  Generic system for key/value persistent storage
  AnyDBM_String           CSV-like pure OCaml storage module for AnyDBM
  Compose                 Utilies for combining functions
  Composeoper             Operators for combining functions
  ConfigParser            System for parsing configuration files
  Fileutil                Utilities for working with files/names
  Hashtbloper             Hash table convenience operators
  Hashtblutil             Hash table utilities
  Lexingutil              Lexing-related utilities
  Listutil                List-manipulation utilities
  Slice                   Underlying API for Slice operators
  Sliceoper               Flexible subparts of arrays, lists, and strings
  Streamutil              Stream parser utilities
  Strutil                 String-related utilities
  Unixutil                Unix filesystem utilities
 .
 The entire library has no prerequisites save the OCaml standard library and
 findlib and is designed to install without complexity on a variety of
 systems.  It could also easily be embedded within your own source trees
 so that users need not have it installed beforehand.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


export OCAMLMAKEFILE = /usr/share/ocaml-tools/OCamlMakefile

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) test
	cd libsrc && make htdoc

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-rm -f debian/copyright

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/libmissinglib-ocaml-dev/`ocamlc -where`/missinglib
	cd libsrc && make rawinstall \
	  OCAML_LIB_INSTALL=$(CURDIR)/debian/libmissinglib-ocaml-dev/`ocamlc -where`/missinglib
	cp COPYRIGHT debian/copyright


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
